org.apache.thrift.transport

## Class AutoExpandingBuffer

- java.lang.Object
- - org.apache.thrift.transport.AutoExpandingBuffer

-     public class AutoExpandingBuffer
      extends java.lang.Object

  Helper class that wraps a byte[] so that it can expand and be reused. Users should call resizeIfNecessary to make sure the buffer has suitable capacity, and then use the array as needed. Note that the internal array will grow at a rate slightly faster than the requested capacity with the (untested) objective of avoiding expensive buffer allocations and copies.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AutoExpandingBuffer(int initialCapacity, double growthCoefficient)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte[]` | `array()`
    `void` | `resizeIfNecessary(int size)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AutoExpandingBuffer

          public AutoExpandingBuffer(int initialCapacity,
                             double growthCoefficient)

  - ### Method Detail

    - #### resizeIfNecessary

          public void resizeIfNecessary(int size)

    - #### array

          public byte[] array()